# src/binhex/Makefile.inc

rel := src/binhex

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# binhex

BINHEX_BAS  := binhex
BINHEX_SRC  := $(foreach f,$(BINHEX_BAS),$(rel)/$(f).c)
BINHEX_HDR  := $(foreach f,$(BINHEX_BAS),$(rel)/$(f).h)
BINHEX_OBJ  := $(foreach f,$(BINHEX_BAS),$(rel)/$(f).o)
BINHEX_MAN1 := $(rel)/binhex.1
BINHEX_BIN  := $(rel)/binhex$(EXEEXT)
BINHEX_SDP  := $(BINHEX_HDR) src/config.h
BINHEX_BDP  := $(BINHEX_OBJ) $(MACLIB_ARC)

BIN  += $(BINHEX_BIN)
MAN1 += $(BINHEX_MAN1)
CLN  += $(BINHEX_BIN) $(BINHEX_OBJ)
DIST += $(BINHEX_SRC) $(BINHEX_HDR) $(BINHEX_MAN1)

$(rel)/binhex.o:	$(rel)/binhex.c

$(rel)/binhex$(EXEEXT): $(BINHEX_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(BINHEX_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# hqxinfo

HQXINFO_BAS  := hqxinfo
HQXINFO_SRC  := $(foreach f,$(HQXINFO_BAS),$(rel)/$(f).c)
HQXINFO_HDR  := $(foreach f,$(HQXINFO_BAS),$(rel)/$(f).h)
HQXINFO_OBJ  := $(foreach f,$(HQXINFO_BAS),$(rel)/$(f).o)
HQXINFO_MAN1 := $(rel)/hqxinfo.1
HQXINFO_BIN  := $(rel)/hqxinfo$(EXEEXT)
HQXINFO_SDP  := $(HQXINFO_HDR) src/config.h
HQXINFO_BDP  := $(HQXINFO_OBJ) $(MACLIB_ARC)

BIN  += $(HQXINFO_BIN)
MAN1 += $(HQXINFO_MAN1)
CLN  += $(HQXINFO_BIN) $(HQXINFO_OBJ)
DIST += $(HQXINFO_SRC) $(HQXINFO_HDR) $(HQXINFO_MAN1)

$(rel)/hqxinfo.o:	$(rel)/hqxinfo.c

$(rel)/hqxinfo$(EXEEXT): $(HQXINFO_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(HQXINFO_OBJ) $(MACLIB_ARC) $(LIB)
