# src/convert/Makefile.inc

rel := src/convert

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# dmdftodc42

DMDFTODC42_BAS  := dmdftodc42
DMDFTODC42_SRC  := $(foreach f,$(DMDFTODC42_BAS),$(rel)/$(f).c)
DMDFTODC42_HDR  := $(foreach f,$(DMDFTODC42_BAS),$(rel)/$(f).h)
DMDFTODC42_OBJ  := $(foreach f,$(DMDFTODC42_BAS),$(rel)/$(f).o)
DMDFTODC42_MAN1 := $(rel)/dmdftodc42.1
DMDFTODC42_BIN  := $(rel)/dmdftodc42$(EXEEXT)
DMDFTODC42_SDP  := $(DMDFTODC42_HDR) src/config.h
DMDFTODC42_BDP  := $(DMDFTODC42_OBJ) $(MACLIB_ARC)

BIN  += $(DMDFTODC42_BIN)
MAN1 += $(DMDFTODC42_MAN1)
CLN  += $(DMDFTODC42_BIN) $(DMDFTODC42_OBJ)
DIST += $(DMDFTODC42_SRC) $(DMDFTODC42_HDR) $(DMDFTODC42_MAN1)

$(rel)/dmdftodc42.o:	$(rel)/dmdftodc42.c

$(rel)/dmdftodc42$(EXEEXT): $(DMDFTODC42_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(DMDFTODC42_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# mbptotar

MBPTOTAR_BAS  := mbptotar
MBPTOTAR_SRC  := $(foreach f,$(MBPTOTAR_BAS),$(rel)/$(f).c)
MBPTOTAR_HDR  := $(foreach f,$(MBPTOTAR_BAS),$(rel)/$(f).h)
MBPTOTAR_OBJ  := $(foreach f,$(MBPTOTAR_BAS),$(rel)/$(f).o)
MBPTOTAR_MAN1 := $(rel)/mbptotar.1
MBPTOTAR_BIN  := $(rel)/mbptotar$(EXEEXT)
MBPTOTAR_SDP  := $(MBPTOTAR_HDR) src/config.h
MBPTOTAR_BDP  := $(MBPTOTAR_OBJ) $(MACLIB_ARC)

BIN  += $(MBPTOTAR_BIN)
MAN1 += $(MBPTOTAR_MAN1)
CLN  += $(MBPTOTAR_BIN) $(MBPTOTAR_OBJ)
DIST += $(MBPTOTAR_SRC) $(MBPTOTAR_HDR) $(MBPTOTAR_MAN1)

$(rel)/mbptotar.o:	$(rel)/mbptotar.c

$(rel)/mbptotar$(EXEEXT): $(MBPTOTAR_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MBPTOTAR_OBJ) $(MACLIB_ARC) $(LIB)
