/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/fourcc.h                                             *
 * Created:     2004-03-04 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2004-2011 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_FOURCC_H
#define MAC_LIB_FOURCC_H 1


#define MAC_FOURCC_BINA 0x42494e41
#define MAC_FOURCC_UNIX 0x554e4958
#define MAC_FOURCC_UNDF 0x3f3f3f3f
#define MAC_FOURCC_UNKN 0x3f3f3f3f
#define MAC_FOURCC_FOLD 0x666f6c64


int str_set_fourcc (char *str, unsigned max, unsigned long fcc);
int str_get_fourcc (const char *str, unsigned long *fcc);


#endif
