/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/unixfile.h                                           *
 * Created:     2006-08-19 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2006-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_UNIXFILE_H
#define MAC_LIB_UNIXFILE_H 1


int uf_stat (const char *fname, unsigned long *size, unsigned long *mtime);

int uf_stat_fp (FILE *fp, unsigned long *size, unsigned long *mtime);

unsigned long uf_get_mtime (const char *fname);
unsigned long uf_get_mtime_fp (FILE *fp);

unsigned long uf_get_fsize (const char *fname);
unsigned long uf_get_fsize_fp (FILE *fp);

int uf_set_mtime (const char *fname, unsigned long mtime);


#endif
