# src/mbp/Makefile.inc

rel := src/mbp

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# mbpenc

MBPENC_BAS  := mbpenc
MBPENC_SRC  := $(foreach f,$(MBPENC_BAS),$(rel)/$(f).c)
MBPENC_HDR  := $(foreach f,$(MBPENC_BAS),$(rel)/$(f).h)
MBPENC_OBJ  := $(foreach f,$(MBPENC_BAS),$(rel)/$(f).o)
MBPENC_MAN1 := $(rel)/mbpenc.1
MBPENC_BIN  := $(rel)/mbpenc$(EXEEXT)
MBPENC_SDP  := $(MBPENC_HDR) src/config.h
MBPENC_BDP  := $(MBPENC_OBJ) $(MACLIB_ARC)

BIN  += $(MBPENC_BIN)
MAN1 += $(MBPENC_MAN1)
CLN  += $(MBPENC_BIN) $(MBPENC_OBJ)
DIST += $(MBPENC_SRC) $(MBPENC_HDR) $(MBPENC_MAN1)

$(rel)/mbpenc.o:	$(rel)/mbpenc.c

$(rel)/mbpenc$(EXEEXT): $(MBPENC_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MBPENC_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------------

MBPLIST_BAS  := mbplist
MBPLIST_SRC  := $(foreach f,$(MBPLIST_BAS),$(rel)/$(f).c)
MBPLIST_HDR  := $(foreach f,$(MBPLIST_BAS),$(rel)/$(f).h)
MBPLIST_OBJ  := $(foreach f,$(MBPLIST_BAS),$(rel)/$(f).o)
MBPLIST_MAN1 := $(rel)/mbpenc.1
MBPLIST_BIN  := $(rel)/mbplist
MBPLIST_BDP  := $(MBPLIST_OBJ) $(MACLIB_ARC)

BIN  += $(MBPLIST_BIN)
MAN1 += $(MBPLIST_MAN1)
CLN  += $(MBPLIST_BIN) $(MBPLIST_OBJ)
DIST += $(MBPLIST_SRC) $(MBPLIST_HDR)

$(rel)/mbplist.o: $(rel)/mbplist.c $(rel)/mbplist.h

$(rel)/mbplist: $(MBPLIST_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MBPLIST_OBJ) $(MACLIB_ARC) $(LIB)
