# src/mar/Makefile.inc

rel := src/mar

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------

MAR_BAS  := mar mar_create mar_decode mar_encode mar_extract mar_fix mar_info mar_list
MAR_SRC  := $(foreach f,$(MAR_BAS),$(rel)/$(f).c)
MAR_HDR  := $(rel)/mar.h
MAR_OBJ  := $(foreach f,$(MAR_BAS),$(rel)/$(f).o)
MAR_MAN1 := $(rel)/mar.1
MAR_BIN  := $(rel)/mar$(EXEEXT)
MAR_SDP  := $(MAR_HDR) src/config.h
MAR_BDP  := $(MAR_OBJ) $(MACLIB_ARC)

BIN  += $(MAR_BIN)
MAN1 += $(MAR_MAN1)
CLN  += $(MAR_BIN) $(MAR_OBJ)
DIST += $(MAR_SRC) $(MAR_HDR) $(MAR_MAN1)

$(rel)/mar.o:		$(rel)/mar.c
$(rel)/mar_create.o:	$(rel)/mar_create.c
$(rel)/mar_decode.o:	$(rel)/mar_decode.c
$(rel)/mar_encode.o:	$(rel)/mar_encode.c
$(rel)/mar_extract.o:	$(rel)/mar_extract.c
$(rel)/mar_fix.o:	$(rel)/mar_fix.c
$(rel)/mar_info.o:	$(rel)/mar_info.c
$(rel)/mar_list.o:	$(rel)/mar_list.c

$(rel)/mar$(EXEEXT): $(MAR_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MAR_OBJ) $(MACLIB_ARC) $(LIB)
