# src/sit/Makefile.inc

rel := src/sit

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# sitenc

SITENC_BAS  := sitenc
SITENC_SRC  := $(foreach f,$(SITENC_BAS),$(rel)/$(f).c)
SITENC_HDR  := $(foreach f,$(SITENC_BAS),$(rel)/$(f).h)
SITENC_OBJ  := $(foreach f,$(SITENC_BAS),$(rel)/$(f).o)
SITENC_MAN1 := $(rel)/sitenc.1
SITENC_BIN  := $(rel)/sitenc$(EXEEXT)
SITENC_SDP  := $(SITENC_HDR) src/config.h
SITENC_BDP  := $(SITENC_OBJ) $(MACLIB_ARC)

BIN  += $(SITENC_BIN)
MAN1 += $(SITENC_MAN1)
CLN  += $(SITENC_BIN) $(SITENC_OBJ)
DIST += $(SITENC_SRC) $(SITENC_HDR) $(SITENC_MAN1)

$(rel)/sitenc.o:	$(rel)/sitenc.c

$(rel)/sitenc$(EXEEXT): $(SITENC_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(SITENC_OBJ) $(MACLIB_ARC) $(LIB)
